#ifndef _TLS_SERVER_APP_H
#define _TLS_SERVER_APP_H

#include "server.h"

class TlsServerApp : public TLSServer::Sink {
public:
    TlsServerApp(int argc, char *argv[]);
    virtual ~TlsServerApp();

    virtual int appMessageSink(boost::shared_ptr<Message>msg);
    virtual void service (void);

private:
    void initialize (const std::string& keyFile, const std::string& certFile);

    boost::shared_ptr<TLSService> tlsserver_;
    std::string ipPort_;
    uint16_t clientMsgSize_;

}; // class TlsServerApp

#endif
